%define upstream_name    Module-Install-TrustMetaYml
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Trusts META.yml list of dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Tiny)
BuildArch: noarch

%description
CPAN doesn't trust 'META.yml''s list of dependencies for a module. Instead
it expects 'Makefile.PL' run on the computer the package is being installed
upon to generate its own list of dependencies (called 'MYMETA.yml' or
'MYMETA.json').

This module is a Module::Install plugin that generates 'MYMETA.yml' by
simply passing through the dependencies from 'META.yml'.

It does nothing when run from the module author's development copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README SIGNATURE LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 369904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 334201
- imported package perl-Module-Install-TrustMetaYml

